Create Tier
curl --request POST \
--url https://api.fourthwall.com/open-api/v1.1/memberships/tiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"monthlyAmounts": {
"usd": 75000050,
"eur": 123,
"gbp": 123,
"cad": 123,
"aud": 123,
"nzd": 123,
"sek": 123,
"nok": 123,
"dkk": 123,
"pln": 123,
"jpy": 123,
"myr": 123,
"sgd": 123,
"mxn": 123
},
"imageResourceId": 123,
"pricesAutomaticallyConverted": true,
"askForShippingAddress": true,
"freeTrial": true
}
'import requests
url = "https://api.fourthwall.com/open-api/v1.1/memberships/tiers"
payload = {
"name": "<string>",
"description": "<string>",
"monthlyAmounts": {
"usd": 75000050,
"eur": 123,
"gbp": 123,
"cad": 123,
"aud": 123,
"nzd": 123,
"sek": 123,
"nok": 123,
"dkk": 123,
"pln": 123,
"jpy": 123,
"myr": 123,
"sgd": 123,
"mxn": 123
},
"imageResourceId": 123,
"pricesAutomaticallyConverted": True,
"askForShippingAddress": True,
"freeTrial": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
monthlyAmounts: {
usd: 75000050,
eur: 123,
gbp: 123,
cad: 123,
aud: 123,
nzd: 123,
sek: 123,
nok: 123,
dkk: 123,
pln: 123,
jpy: 123,
myr: 123,
sgd: 123,
mxn: 123
},
imageResourceId: 123,
pricesAutomaticallyConverted: true,
askForShippingAddress: true,
freeTrial: true
})
};
fetch('https://api.fourthwall.com/open-api/v1.1/memberships/tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123
}{
"parameters": "{ \"post_id\": [ \"is missing\" ] }",
"body": "{ \"discount\": { \"percentOff\": [ \"is missing\" ] } }"
}Tiers
Create Tier
POST
/
open-api
/
v1.1
/
memberships
/
tiers
Create Tier
OAuth scope:
memberships_writeAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Response
⌘I